.grid-view-loading
{
    background:url(loading.gif) no-repeat;
}

.grid-view
{
    padding: 15px 0;
}

.grid-view table.items
{
    background: white;
    border-collapse: collapse;
    width: 100%;
    border: 1px #D0E3EF solid;
}

.grid-view table.items th, .grid-view table.items td
{
    font-size: 0.9em;
    border: 1px white solid;
    padding: 0.3em;
}

.grid-view table.items th
{
    color: white;
    background: url("bg.gif") repeat-x scroll left top white;
    text-align: center;
}

.grid-view table.items th a
{
    color: #EEE;
    font-weight: bold;
    text-decoration: none;
}

.grid-view table.items th a:hover
{
    color: #FFF;
}

.grid-view table.items th a.asc
{
    background:url(up.gif) right center no-repeat;
    padding-right: 10px;
}

.grid-view table.items th a.desc
{
    background:url(down.gif) right center no-repeat;
    padding-right: 10px;
}

.grid-view table.items tr.even
{
    background: #F8F8F8;
}

.grid-view table.items tr.odd
{
    background: #E5F1F4;
}

.grid-view table.items tr.selected
{
    background: #BCE774;
}

.grid-view table.items tr:hover.selected
{
    background: #CCFF66;
}

.grid-view table.items tbody tr:hover
{
    background: #ECFBD4;
}

.grid-view .link-column img
{
    border: 0;
}

.grid-view .button-column
{
    text-align: center;
    width: 60px;
}

.grid-view .button-column img
{
    border: 0;
}

.grid-view .checkbox-column
{
    width: 15px;
}

.grid-view .summary
{
    margin: 0 0 5px 0;
    text-align: right;
}

.grid-view .pager
{
    margin: 5px 0 0 0;
    text-align: right;
}

.grid-view .empty
{
    font-style: italic;
}

.grid-view .filters input,
.grid-view .filters select
{
    width: 100%;
    border: 1px solid #ccc;
}

table.detail-view .not-set
{
    color: pink;
}

table.detail-view
{
    background: white;
    border-collapse: collapse;
    width: 100%;
    margin: 0;
}

table.detail-view th, table.detail-view td
{
    font-size: 0.9em;
    border: 1px white solid;
    padding: 0.3em 0.6em;
    vertical-align: top;
}

table.detail-view th
{
    text-align: right;
    width: 160px;
}

table.detail-view tr.odd
{
    background:#E5F1F4;
}

table.detail-view tr.even
{
    background:#F8F8F8;
}

ul.pagination
{
    font-size:11px;
    border:0;
    margin:0;
    padding:0;
    line-height:100%;
    display:inline;
    float: right;
}

ul.pagination li
{
    display:inline;
}

ul.pagination li.disabled
{
    display: none;
}

ul.pagination a:link,
ul.pagination a:visited
{
    border:solid 1px #9aafe5;
    font-weight:bold;
    color:#0e509e;
    padding:1px 6px;
    text-decoration:none;
}

ul.pagination .page a
{
    font-weight:normal;
}

ul.pagination a:hover
{
    border:solid 1px #0e509e;
}

ul.pagination .active a
{
    background:#2e6ab1;
    color:#FFFFFF;
    font-weight:bold;
}

ul.pagination .hidden a
{
    border:solid 1px #DEDEDE;
    color:#888888;
}

/**
 * Hide first and last buttons by default.
 */
ul.pagination .first,
ul.pagination .last
{
    display:none;
}